#ifndef	_INC_CODESET_H
#define	_INC_CODESET_H
#include	"struct.h"

extern	CODE_SET		*AddCodeSet(char *,int,int);
extern	void			AddEscape(char *,CODE_SET *,int);
extern	ESCAPE_TABLE	*CheckESC(char *,size_t);
extern	void			InitCodeSet(void);
extern	word			GetCodeSet(char *);
extern	CODE_SET		*GetEscape(int);
extern	void			DumpCodeSet(CODE_SET *);
#endif
